import {ExampleCodeBlock, Specifications} from '@workday/canvas-kit-docs';
import Basic from './examples/Basic';

# Testing

A package that provides components and utilities for testing

## Installation

```sh
yarn add @workday/canvas-kit-react
```

## Usage

### Basic Example

`StaticStates` in conjunction with `ComponentStatesTable` allows consumers to visually test their
components in different states. Below is an example of how we're using these to create a visual
table of a `DeleteButton` component with different prop values and visual states.

`StaticStates` serves similarly as a context provider where is wraps children in a `CanvasProvider`
exposing a `theme` prop.

`ComponentStatesTable` allows consumers to built up a visual table based on row and column props.

<ExampleCodeBlock code={Basic} />